package com.unipi.talepis.softeng2023_3;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    EditText editText, editText2, editText3;
    SharedPreferences preferences;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText = findViewById(R.id.editTextText);
        editText2 = findViewById(R.id.editTextText2);
        editText3 = findViewById(R.id.editTextText3);
        //preferences = PreferenceManager.getDefaultSharedPreferences(this);
        preferences = getPreferences(MODE_PRIVATE);
    }
    public void go1(View view){
        Intent intent = new Intent(this, MainActivity2.class);
        intent.putExtra("myKey1",editText.getText().toString());
        startActivity(intent);
    }
    public void save(View view){
        SharedPreferences.Editor editor = preferences.edit();
        editor.putString("key1",editText2.getText().toString());
        editor.putString("key2",editText3.getText().toString());
        editor.apply();
    }
    public void read(View view){
        String s1 = preferences.getString("key1","no value yet");
        String s2 = preferences.getString("key2","no value yet");
        //Toast.makeText(this, s1, Toast.LENGTH_SHORT).show();
        //Toast.makeText(this, s2, Toast.LENGTH_SHORT).show();
        showMessage("Info",s1+","+s2);
    }
    private void showMessage(String title, String message){
        new AlertDialog.Builder(this)
                .setTitle(title)
                .setMessage(message)
                .show();
    }
}